Zuplo Developer API

A Bucket is an object representing a group of API key consumers for a given account. This section includes a group of endpoints available to perform CRUD operations on a bucket. You can learn more about buckets here.


Lists buckets

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/key-buckets

Lists all buckets belonging to this account.

Lists buckets › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

Lists buckets › Responses

The request has succeeded.

​Zuplo.ApiKeys.Bucket[] · required
limit
​integer · uint32
offset
​integer · uint32
total
​integer · uint32

Creates a bucket

POST
https://dev.zuplo.com
/v1/accounts/{accountName}/key-buckets

Creates a new bucket for this account.

Creates a bucket › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

Creates a bucket › Request Body

name
​string · pattern: ^[a-z0-9-]{5,128}$ · required

A friendly name for the bucket.

description
​string

A description of the bucket.

​object

Key value pairs to associate with the bucket.

Creates a bucket › Responses

The request has succeeded.

Top level group for API key mangement. A bucket could be used with a single Zuplo environment or shared among multiple environments or projects. By default a Zuplo API Gateway project will be created with several buckets that map to production, preview, and working copy environments.
createdOn
​string · date-time · readOnly · required

When the item was created.

Example: 2023-04-18T05:54:34.408Z
updatedOn
​string · date-time · readOnly · required

When the item was last updated.

Example: 2023-04-20T05:54:34.408Z
id
​string · readOnly · required
name
​string · pattern: ^[a-z0-9-]{5,128}$ · required

A friendly name for the bucket.

isRetrievable
​boolean

Whether the API keys stored in the bucket are retrievable

description
​string

A description of the bucket.

​object

Key value pairs to associate with the bucket.


Gets a bucket

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/key-buckets/{bucketName}

Returns the details for a bucket, including the token used to connect to the bucket.

Gets a bucket › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

bucketName
​string · required

The name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.

Gets a bucket › Responses

The request has succeeded.

Top level group for API key mangement. A bucket could be used with a single Zuplo environment or shared among multiple environments or projects. By default a Zuplo API Gateway project will be created with several buckets that map to production, preview, and working copy environments.
createdOn
​string · date-time · readOnly · required

When the item was created.

Example: 2023-04-18T05:54:34.408Z
updatedOn
​string · date-time · readOnly · required

When the item was last updated.

Example: 2023-04-20T05:54:34.408Z
id
​string · readOnly · required
name
​string · pattern: ^[a-z0-9-]{5,128}$ · required

A friendly name for the bucket.

isRetrievable
​boolean

Whether the API keys stored in the bucket are retrievable

description
​string

A description of the bucket.

​object

Key value pairs to associate with the bucket.


Updates a bucket

PATCH
https://dev.zuplo.com
/v1/accounts/{accountName}/key-buckets/{bucketName}

Updates a bucket, and returns the updated value.

Updates a bucket › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

bucketName
​string · required

The name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.

Updates a bucket › Request Body

description
​string

A description of the bucket.

​object

Key value pairs to associate with the bucket.

Updates a bucket › Responses

The request has succeeded.

Top level group for API key mangement. A bucket could be used with a single Zuplo environment or shared among multiple environments or projects. By default a Zuplo API Gateway project will be created with several buckets that map to production, preview, and working copy environments.
createdOn
​string · date-time · readOnly · required

When the item was created.

Example: 2023-04-18T05:54:34.408Z
updatedOn
​string · date-time · readOnly · required

When the item was last updated.

Example: 2023-04-20T05:54:34.408Z
id
​string · readOnly · required
name
​string · pattern: ^[a-z0-9-]{5,128}$ · required

A friendly name for the bucket.

isRetrievable
​boolean

Whether the API keys stored in the bucket are retrievable

description
​string

A description of the bucket.

​object

Key value pairs to associate with the bucket.


Deletes a bucket

DELETE
https://dev.zuplo.com
/v1/accounts/{accountName}/key-buckets/{bucketName}

Deletes a bucket and any related resources

Deletes a bucket › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

bucketName
​string · required

The name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.

Deletes a bucket › Responses

There is no content to send for this request, but the headers may be useful.

No data returned